Skip to content

Create a new topology

POST
/topologies
curl --request POST \
--url https://antimony.example.com/api/topologies \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "annotations": "example", "collectionId": "example", "definition": "example", "syncUrl": "example" }'

The topology

Media typeapplication/json
object
annotations
required
string
collectionId
required
string
definition
required
string
syncUrl
required
string

Example generated

{
"annotations": "example",
"collectionId": "example",
"definition": "example",
"syncUrl": "example"
}

The ID of the newly created collection

Media typeapplication/json
object
payload
string

Example generated

{
"payload": "example"
}

The user isn’t authorized

Media typeapplication/json

Access to the resource was denied. Details in the request body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The provided access token is not valid

Media typeapplication/json